package com.example.nto.service.impl;

import com.example.nto.entity.Employee;
import com.example.nto.entity.Entry;
import com.example.nto.repository.EntryRepository;
import com.example.nto.service.EntryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class EntryServiceImpl implements EntryService {
    @Autowired
    private EntryRepository entryRepository;

    @Override
    public List<Entry> getEntriesByEmployee(Employee employee) {
        return entryRepository.findByEmployee(employee);
    }
}
